{
  lib,
  config,
  ...
}: let
  cfg = config.myConfig.bluetooth;
in {
  options.myConfig.bluetooth = {
    enable = lib.mkEnableOption "bluetooth";
  };

  config = lib.mkIf cfg.enable {
    hardware.bluetooth = {
      enable = true;
      powerOnBoot = true;
    };
    services.blueman.enable = true;
  };
}
