{
  lib,
  config,
  ...
}: let
  cfg = config.myConfig.touch;
in {
  options.myConfig.touch = {
    enable = lib.mkEnableOption "touch screen";
  };

  config = lib.mkIf cfg.enable {
    services = {
      xserver.wacom.enable = true;
      libinput.enable = true;
    };
  };
}
