{
  lib,
  config,
  ...
}: let
  cfg = config.myConfig.programs.udiskie;
in {
  options.myConfig.programs.udiskie = {
    enable = lib.mkEnableOption "auto media mounting";
  };

  config = lib.mkIf cfg.enable {
    services.udiskie = {
      enable = true;
      automount = true;
      notify = true;
    };
  };
}
